## glusterfs 7.2

=== contrib/umountd/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# contrib/umountd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = umountd$(EXEEXT)
subdir = contrib/umountd
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/site.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_umountd_OBJECTS = umountd-umountd.$(OBJEXT)
umountd_OBJECTS = $(am_umountd_OBJECTS)
am__DEPENDENCIES_1 =
umountd_DEPENDENCIES =  \
	$(top_builddir)/libglusterfs/src/libglusterfs.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
umountd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(umountd_CFLAGS) \
	$(CFLAGS) $(umountd_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(umountd_SOURCES)
DIST_SOURCES = $(umountd_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/root/workspace/release-new/missing aclocal-1.13
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = 
AM_MAKEFLAGS =  --no-print-directory
AR = ar
ARGP_LDADD = 
AUTOCONF = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/root/workspace/release-new/missing automake-1.13
AWK = gawk
BUILD_GNFS = yes
BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python3.6/site-packages
BUILD_PYTHON_SITE_PACKAGES_EXPANDED = NONE/lib/python3.6/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EVENTS_ENABLED = 1
EVENTS_SUBDIR = events
EXEEXT = 
FGREP = /usr/bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.7.2
GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS =  -rdynamic
GF_NO_UNDEFINED = -Wl,--no-undefined
GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym $(UUID_LIBS) $(GF_NO_UNDEFINED)
GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED)
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /usr/bin/grep
HAVE_ATOMIC_BUILTINS = 
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
HAVE_SYNC_BUILTINS = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -ldl -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_DL = -ldl
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jenkins/root/workspace/release-new/missing makeinfo
MANIFEST_TOOL = :
MATH_LIB = -lm
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 7.2
PACKAGE_TARNAME = glusterfs
PACKAGE_URL = https://github.com/gluster/glusterfs.git
PACKAGE_VERSION = 7.2
PATH_SEPARATOR = :
PKGCONFIG_UUID = uuid
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python3
PYTHON_CFLAGS = -isystem /usr/include/python3.6m
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = -lpython3.6m  
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 3.6
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCBIND_SERVICE = rpcbind.service
RPCGEN = yes
SBIN_DIR = /usr/local/sbin
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
SYSCONF_DIR = /usr/local/etc
TIRPC_CFLAGS = 
TIRPC_LIBS = 
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_EC_DYNAMIC_AVX = 
USE_EC_DYNAMIC_NEON = 
USE_EC_DYNAMIC_SSE = 
USE_EC_DYNAMIC_X64 = 
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I/usr/include/uuid  
UUID_LIBS = -luuid  
VERSION = 7.2
XML_CFLAGS = -I/usr/include/libxml2  
XML_LIBS = -lxml2  
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_srcdir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_top_builddir = /home/jenkins/root/workspace/release-new
abs_top_srcdir = /home/jenkins/root/workspace/release-new
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
initdir = /etc/init.d
install_sh = ${SHELL} /home/jenkins/root/workspace/release-new/install-sh
launchddir = /Library/LaunchDaemons
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
mountutildir = /sbin
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
pkgpyexecdir = ${pyexecdir}/glusterfs
pkgpythondir = ${pythondir}/glusterfs

=== debian/changelog ===
glusterfs (7.2-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:41:28 +0000

glusterfs (7.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Adjust source lintian-overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:55 +0100

glusterfs (7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2020 11:24:01 +0100

glusterfs (7.1-1) unstable; urgency=medium

  * New upstream release.
  * Use the new debhelper-compat notation, and drop the d/compat file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Dec 2019 10:51:17 +0100

=== debian/control ===
Source: glusterfs
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 12),
 libfuse-dev,
 libibverbs-dev,
 libdb-dev,
 librdmacm-dev,
 libaio-dev,
 libacl1-dev,
 libsqlite3-dev,
 libtirpc-dev (>= 1.1.4),
 liburcu-dev,
 uuid-dev,
 attr,
 flex,
 bison,
 firewalld,
 libreadline-dev,
 libncurses5-dev,
 libglib2.0-dev,
 libssl-dev,
 libxml2-dev,
 pkg-config,
 dh-python,
 python3-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.gluster.org/

Package: glusterfs-client
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 fuse,
 glusterfs-common (>= ${binary:Version})
Description: clustered file-system (client package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the FUSE based GlusterFS tool.

Package: glusterfs-server
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 lsb-base (>= 3.0-6),
 glusterfs-common (>= ${binary:Version}),
 glusterfs-client (>= ${binary:Version})
Recommends: nfs-common
Description: clustered file-system (server package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package installs init scripts and configuration files to turn
 GlusterFS into a fully fledged file server.

Package: glusterfs-common
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 python3-prettytable,
 python3-requests,
 python3-jwt,
 attr,
 xfsprogs,
 e2fsprogs,
 psmisc
Breaks: glusterfs-server (<< 3.4.0~qa5)
Replaces: glusterfs-server (<< 3.4.0~qa5)
Description: GlusterFS common libraries and translator modules
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes libglusterfs and glusterfs translator modules
 common to both GlusterFS server and client framework.

Package: libglusterfs0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libglusterfs.

Package: libgfapi0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS gfapi shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfapi.

Package: libgfchangelog0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS gfchangelog shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfchangelog.

Package: libgfrpc0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS libgfrpc shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfrpc.

Package: libgfxdr0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: glusterfs-common (<< 5.2-2)
Replaces: glusterfs-common (<< 5.2-2)
Description: GlusterFS libgfxdr shared library
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains libgfxdr.

Package: libglusterfs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgfapi0 (= ${binary:Version}),
 libgfchangelog0 (= ${binary:Version}),
 libgfrpc0 (= ${binary:Version}),
 libgfxdr0 (= ${binary:Version}),
 libglusterfs0 (= ${binary:Version}),
 libacl1-dev
Replaces: gluster-common (<< 5.2-2)
Description: Development files for GlusterFS libraries
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package contains the development files.

=== debian/watch ===
version=3
https://download.gluster.org/pub/gluster/glusterfs/LATEST/glusterfs-([\d.]+)\.tar\.gz

## glusterfs 7.5

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -209,7 +209,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.7.2
+GFAPI_VERSION = 7.7.5
 GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
 GF_DISTRIBUTION = Redhat
@@ -272,10 +272,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 7.2
+PACKAGE_STRING = glusterfs 7.5
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 7.2
+PACKAGE_VERSION = 7.5
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -322,7 +322,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 7.2
+VERSION = 7.5
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y

## glusterfs 7.6

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -209,7 +209,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.7.5
+GFAPI_VERSION = 7.7.6
 GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
 GF_DISTRIBUTION = Redhat
@@ -272,10 +272,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 7.5
+PACKAGE_STRING = glusterfs 7.6
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 7.5
+PACKAGE_VERSION = 7.6
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -322,7 +322,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 7.5
+VERSION = 7.6
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y

=== debian/changelog ===
glusterfs (7.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat to 13.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 May 2020 15:49:50 +0200

glusterfs (7.5-1) unstable; urgency=medium

  * New upstream release.
  * Do not ship .la files.
    Closes: #955788
  * Add patch 06-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2020 10:37:59 +0200

glusterfs (7.4-1) unstable; urgency=medium

  * New upstream release.
  * Overwrite lintian warning executable-in-usr-lib.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 31 Mar 2020 11:24:23 +0200

glusterfs (7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Mar 2020 11:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  libfuse-dev,
  libibverbs-dev,
  libdb-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-firewalld --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with python3

override_dh_install:
	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfile
	cp extras/systemd/glusterd.service $(CURDIR)/debian/glusterfs-server.glusterd.service
	cp extras/systemd/glustereventsd.service $(CURDIR)/debian/glusterfs-server.glustereventsd.service
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/error-gen.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/sink.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/delay-gen.so
	find debian/tmp/usr/lib -type f -name \*.la -delete
	dh_install
	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
	rm -rf $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gfevents/__pycache__/

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glusterd
	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glustereventsd

override_dh_link:
	dh_link
	dh_link -pglusterfs-common \
		"usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid" \
		"usr/share/glusterfs/scripts/gsync-sync-gfid"

override_dh_python3:
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_VERSION_UPSTREAM)/xlator/features/glupy/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/glusterfind/
	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/events/
	dh_python3

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts -VUpstream-Version

## glusterfs 8.0

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -173,7 +173,7 @@
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AM_LIBTOOLFLAGS = 
-AM_MAKEFLAGS =  --no-print-directory
+AM_MAKEFLAGS = 
 AR = ar
 ARGP_LDADD = 
 AUTOCONF = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoconf
@@ -209,8 +209,8 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.7.6
-GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration
+GFAPI_VERSION = 7.8.0
+GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration -DBUILD_GNFS
 GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
 GF_DISTRIBUTION = Redhat
 GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
@@ -223,7 +223,7 @@
 GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED)
 GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
 GLUSTERD_WORKDIR = /var/lib/glusterd
-GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
+GLUSTERFSD_MISCDIR = /var/lib/misc/glusterfsd
 GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
 GREP = /usr/bin/grep
 HAVE_ATOMIC_BUILTINS = 
@@ -233,7 +233,6 @@
 HAVE_SPINLOCK = 
 HAVE_STRNLEN = 
 HAVE_SYNC_BUILTINS = 
-IBVERBS_SUBDIR = ib-verbs
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
@@ -272,10 +271,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 7.6
+PACKAGE_STRING = glusterfs 8.0
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 7.6
+PACKAGE_VERSION = 8.0
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -289,7 +288,6 @@
 PYTHON_PREFIX = ${prefix}
 PYTHON_VERSION = 3.6
 RANLIB = ranlib
-RDMA_SUBDIR = rdma
 RLLIBS = -lreadline -lncurses
 RPCBIND_SERVICE = rpcbind.service
 RPCGEN = yes
@@ -322,7 +320,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 7.6
+VERSION = 8.0
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y
@@ -376,3 +374,6 @@
 pkgconfigdir = ${libdir}/pkgconfig
 pkgpyexecdir = ${pyexecdir}/glusterfs
 pkgpythondir = ${pythondir}/glusterfs
+prefix = /usr/local
+program_transform_name = s,x,x,
+psdir = ${docdir}

=== debian/changelog ===
glusterfs (8.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 18 Aug 2020 10:12:05 +0200

glusterfs (8.0-2) unstable; urgency=medium

  * Do a source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Jul 2020 11:08:17 +0200

glusterfs (8.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-errors.
    - Drop merged patch 02-spelling-error.
    - Drop merged patch 05-spelling-errors.
    - Adjust files to install.
    - Add new package libglusterd0.
  * Adjust lintian-overrides.
  * Use new tmpfiles file extension.
  * Add patch 07-spelling-error.
  * Add not-installed file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Jul 2020 12:55:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper-compat (= 13),
  libfuse-dev,
  libibverbs-dev,
@@ -119,6 +120,25 @@
  .
  This package contains libglusterfs.
 
+Package: libglusterd0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: GlusterFS glusterd shared library
+ GlusterFS is a clustered file-system capable of scaling to several
+ petabytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package contains libglusterd.
+
 Package: libgfapi0
 Architecture: any
 Multi-Arch: same
@@ -212,6 +232,7 @@
  libgfrpc0 (= ${binary:Version}),
  libgfxdr0 (= ${binary:Version}),
  libglusterfs0 (= ${binary:Version}),
+ libglusterd0 (= ${binary:Version}),
  libacl1-dev
 Replaces: gluster-common (<< 5.2-2)
 Description: Development files for GlusterFS libraries

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --with python3
 
 override_dh_install:
-	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfile
+	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfiles
 	cp extras/systemd/glusterd.service $(CURDIR)/debian/glusterfs-server.glusterd.service
 	cp extras/systemd/glustereventsd.service $(CURDIR)/debian/glusterfs-server.glustereventsd.service
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
@@ -26,8 +26,6 @@
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/delay-gen.so
 	find debian/tmp/usr/lib -type f -name \*.la -delete
 	dh_install
-	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
-		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
 	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
 	rm -rf $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gfevents/__pycache__/
 
@@ -41,12 +39,6 @@
 	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glusterd
 	dh_installsystemd --no-start --no-enable --restart-after-upgrade --name=glustereventsd
 
-override_dh_link:
-	dh_link
-	dh_link -pglusterfs-common \
-		"usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid" \
-		"usr/share/glusterfs/scripts/gsync-sync-gfid"
-
 override_dh_python3:
 	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_VERSION_UPSTREAM)/xlator/features/glupy/
 	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/

## glusterfs 8.1

=== debian/changelog ===
glusterfs (8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 26 Aug 2020 10:40:09 +0200

glusterfs (8.0-3) unstable; urgency=medium

  * Add patch 01-remove-use-systemd-guards-around-several from Andrei Popescu.
    Closes: #968652

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Aug 2020 10:24:46 +0200

## glusterfs 8.2

=== debian/changelog ===
glusterfs (8.2-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:57:07 +0100

glusterfs (8.2-2) unstable; urgency=medium

  * Add patch 08-python-syntax-warning to fix a Python warning.
    Closes: #974017

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Nov 2020 11:44:04 +0100

glusterfs (8.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove some lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Sep 2020 10:05:33 +0200

## glusterfs 8.3

=== debian/changelog ===
glusterfs (8.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 08-python-syntax-warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Dec 2020 16:34:14 +0100

## glusterfs 9.0

=== debian/changelog ===
glusterfs (9.0-1) unstable; urgency=medium

  * New upstream release.
    - Merge and rewrite patch 03 and 04 to 02-systemd-service.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Jan 2021 10:42:08 +0100

## glusterfs 9.1

=== debian/changelog ===
glusterfs (9.1-2) unstable; urgency=medium

  * New source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Apr 2021 10:04:55 +0200

glusterfs (9.1-1) unstable; urgency=medium

  * New upstream release.
    - For Bullseye pass disable-linux-io_uring to configure, so that no new
      features are enabled. This also requires later liburing-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 09 Apr 2021 10:45:33 +0200

## glusterfs 9.2

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -209,7 +209,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.8.0
+GFAPI_VERSION = 7.9.2
 GF_CFLAGS =  -I/usr/include/uuid   -Wformat -Werror=format-security -Werror=implicit-function-declaration -DBUILD_GNFS
 GF_CPPFLAGS =  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src -I$(CONTRIBDIR)/userspace-rcu
 GF_DISTRIBUTION = Redhat
@@ -219,8 +219,9 @@
 GF_LDADD =  -lm
 GF_LDFLAGS =  -rdynamic
 GF_NO_UNDEFINED = -Wl,--no-undefined
-GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym $(UUID_LIBS) $(GF_NO_UNDEFINED)
-GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED)
+GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym $(UUID_LIBS) $(GF_NO_UNDEFINED) $(TIRPC_LIBS)
+GF_XLATOR_LDFLAGS = -avoid-version $(UUID_LIBS) $(GF_NO_UNDEFINED) $(TIRPC_LIBS)
+GF_XLATOR_MGNT_LIBADD = 
 GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
 GLUSTERD_WORKDIR = /var/lib/glusterd
 GLUSTERFSD_MISCDIR = /var/lib/misc/glusterfsd
@@ -229,7 +230,7 @@
 HAVE_ATOMIC_BUILTINS = 
 HAVE_BACKTRACE = 
 HAVE_LINKAT = 
-HAVE_MALLOC_STATS = 
+HAVE_MALLINFO = 
 HAVE_SPINLOCK = 
 HAVE_STRNLEN = 
 HAVE_SYNC_BUILTINS = 
@@ -252,6 +253,7 @@
 LIBOBJS = 
 LIBS = -lrt -ldl -lpthread -lcrypto 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
+LIBURING = 
 LIB_DL = -ldl
 LIPO = 
 LN_S = ln -s
@@ -271,10 +273,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 8.0
+PACKAGE_STRING = glusterfs 9.2
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 8.0
+PACKAGE_VERSION = 9.2
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -320,7 +322,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 8.0
+VERSION = 9.2
 XML_CFLAGS = -I/usr/include/libxml2  
 XML_LIBS = -lxml2  
 YACC = bison -y
@@ -375,5 +377,3 @@
 pkgpyexecdir = ${pyexecdir}/glusterfs
 pkgpythondir = ${pythondir}/glusterfs
 prefix = /usr/local
-program_transform_name = s,x,x,
-psdir = ${docdir}

=== debian/changelog ===
glusterfs (9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 May 2021 15:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper-compat (= 13),
  libfuse-dev,
  libibverbs-dev,
@@ -26,7 +25,7 @@
  pkg-config,
  dh-python,
  python3-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.gluster.org/

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
-	--enable-firewalld --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	--disable-linux-io_uring --enable-firewalld --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
 	dh $@ --with python3

## glusterfs 10.0

=== debian/changelog ===
glusterfs (10.0-1.2) unstable; urgency=medium

  * d/rules: disable tcmalloc also on x86 avoiding issues in tgt
    and any other software dlopening the glusterfs libraries.
    LP: #1951126 Closes: #999619

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Nov 2021 09:17:06 +0100

glusterfs (10.0-1.1) unstable; urgency=medium

  * d/rules: Only enable tcmalloc on x86_64, problems on other
    architectures (LP: #1950777) (Closes: #999700)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 15 Nov 2021 10:48:49 +0100

glusterfs (10.0-1) unstable; urgency=medium

  * New upstream release.
    - Add new build dependency libgoogle-perftools-dev.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 Nov 2021 09:20:33 +0100

glusterfs (9.4-2) unstable; urgency=medium

  * Build depend on dh-sequence-python3.
  * Adjust lintian overrides.
  * Extend patch 02-systemd-service to replace the KillMode of the glusterd
    service file to control-group.
    Closes: #995303

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 Oct 2021 14:39:09 +0200

glusterfs (9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Oct 2021 11:16:40 +0200

glusterfs (9.3-2) unstable; urgency=medium

  * Move gluster utility to new glusterfs-cli package.
    Closes: #991383
  * Remove obsolete glusterfs-server.maintscript.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Sep 2021 10:19:08 +0200

glusterfs (9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.
  * Annotate Build-Depends libfuse-dev, libivbers-dev, libdb-dev,
    librdmacm-dev, libsqlite3-dev, attr, and libglib2.0-dev with <!nocheck>.
    Thanks to Helmut Grohne for his patch.
    Closes: #980545
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Aug 2021 12:06:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,31 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
- libfuse-dev,
- libibverbs-dev,
- libdb-dev,
- librdmacm-dev,
+ libfuse-dev <!nocheck>,
+ libibverbs-dev <!nocheck>,
+ libdb-dev <!nocheck>,
+ librdmacm-dev <!nocheck>,
  libaio-dev,
  libacl1-dev,
- libsqlite3-dev,
+ libsqlite3-dev <!nocheck>,
  libtirpc-dev (>= 1.1.4),
  liburcu-dev,
  uuid-dev,
- attr,
+ attr <!nocheck>,
  flex,
  bison,
  firewalld,
  libreadline-dev,
+ libgoogle-perftools-dev,
  libncurses5-dev,
- libglib2.0-dev,
+ libglib2.0-dev <!nocheck>,
  libssl-dev,
  libxml2-dev,
  pkg-config,
  dh-python,
+ dh-sequence-python3,
  python3-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.gluster.org/
 
@@ -48,6 +50,24 @@
  .
  This package provides the FUSE based GlusterFS tool.
 
+Package: glusterfs-cli
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: glusterfs-server (<< 9.3-2)
+Replaces: glusterfs-server (<< 9.3-2)
+Description: clustered file-system (cli package)
+ GlusterFS is a clustered file-system capable of scaling to several
+ peta-bytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
+ .
+ This package provides the gluster command line tool.
+
 Package: glusterfs-server
 Architecture: any
 Multi-Arch: foreign
@@ -57,7 +77,8 @@
  lsb-base (>= 3.0-6),
  glusterfs-common (>= ${binary:Version}),
  glusterfs-client (>= ${binary:Version})
-Recommends: nfs-common
+Recommends: nfs-common,
+ glusterfs-cli
 Description: clustered file-system (server package)
  GlusterFS is a clustered file-system capable of scaling to several
  peta-bytes. It aggregates various storage bricks over Infiniband RDMA

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--disable-linux-io_uring --enable-firewalld --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+
+# Disable tcmalloc due to problems with dlopen (LP: #1950777 #1951126 Debian: #999700 #999619)
+DEB_CONFIGURE_EXTRA_FLAGS += --without-tcmalloc
 
 %:
 	dh $@ --with python3
